#!/bin/sh

me=`stat -f "%Su" /dev/console`

prlctl="/usr/bin/prlctl"
if [ ! -f "$prlctl" ]; then
	prlctl="/usr/local/bin/prlctl"
fi

if [ ! -f "$prlctl" ]; then
	echo "$0: prlctl is not installed at the usual location, exiting."
	exit
fi

vm_list=`sudo -u $me $prlctl list --no-header -o uuid`
vm_cookie_file="/tmp/com.bombich.ccc.running_vm_containers"
/bin/rm "$vm_cookie_file" 2>/dev/null

for vm in $vm_list; do
	echo "Parallels preflight: Pausing $vm"
	sudo -u $me "$prlctl" pause "$vm"
	echo "$vm" >> "$vm_cookie_file"
done
